%define upstream_name    String-Divert
%define upstream_version 0.96

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	String::Divert - String Object supporting Folding and Diversions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/R/RS/RSE/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
String::Divert is small Perl 5 module providing a scalar-like string
object with some overloaded operators, supporting the concept of Fold-
ing and Diversion. This allows nested generation of structured output.
The idea is to decouple the sequential generation of output from the
nested and non-sequential structure of the output.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/String/*
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.960.0-10.mga9
+ Revision: 1805781
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.960.0-9.mga8
+ Revision: 1497209
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.960.0-8.mga7
+ Revision: 1271230
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.960.0-7.mga6
+ Revision: 1033355
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.960.0-6.mga6
+ Revision: 945420
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.960.0-5.mga5
+ Revision: 750579
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.960.0-4.mga5
+ Revision: 686240
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.960.0-3.mga4
+ Revision: 514720
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.960.0-2.mga3
+ Revision: 372783
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.960.0-1.mga1
+ Revision: 26992
- mageia rebuild
- imported package perl-String-Divert


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-1mdv2010.0
+ Revision: 404415
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.96-6mdv2009.0
+ Revision: 258390
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.96-5mdv2009.0
+ Revision: 246474
- rebuild

* Wed Dec 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-3mdv2008.1
+ Revision: 138069
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.96-2mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.96-2mdv2007.0
+ Revision: 89743
- use the mkrel macro
- Import perl-String-Divert

* Mon Nov 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.96-1mdk
- 0.96

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.94-1mdk
- initial Mandriva package

